# ppmtopjxl

Updated: 14 March 1991
Table Of Contents

## NAME

ppmtopjxl - convert a PPM image to an HP PaintJet XL PCL file

## SYNOPSIS

ppmtopjxl [-nopack] [-gamma n] [-presentation] [-dark] [-diffuse] [-cluster] [-dither] [-xshift s] [-yshift s] [-xshift s] [-yshift s] [{-xsize|-width|-xscale} s] [{-ysize|-height|-yscale} s] [ppmfile]

## DESCRIPTION

This program is part of Netpbm.

ppmtopjxl reads a PPM image as input and produces a PCL file suitable for printing on an HP PaintJet XL printer as output.

The generated file is not suitable for printing on a normal PrintJet printer. The -nopack option generates a file which does not use the normal TIFF 4.0 compression method and thus might be printable on a normal PaintJet printer (not an XL).

## OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see Common Options), ppmtopjxl recognizes the following command line options:

-nopack

  Generate a file which does not use the normal TIFF 4.0 compression method. This file might be printable on a normal PaintJet printer (not an XL).

-gamma

  Set the gamma correction for the image. The useful range for the PaintJet XL is approximately 0.6 to 1.5.

-dither, -cluster, -diffuse

  Alter the rendering algorithm used for images. These options select ordered dithering, clustered ordered dithering, or error diffusion respectively.

-dark

  Enhance images with a dark background when they are reduced in size.

-presentation

  Turn on presentation mode, in which two passes are made over the paper to increase ink density. You should use this only for images where quality is critical.

-xsize, -ysize

  Resize the image. The parameter to either of these options is interpreted as the number of dots to set the width or height to, but you may append an optional dimension of `pt' (points), `dp' (decipoints), `in' (inches), or `cm' (centimetres). If you specify only one dimension, ppmtopjxl will scale the other one appropriately.

-width, -height

  Synonyms of -xsize and -ysize.

-xscale, -yscale

  Alternatives to -xsize and -ysize. Scale the image by a simple factor.

-xshift, -yshift

  Shift the image on the page. These move the image the specified dimensions right and down.

## SEE ALSO

pnmtopclxl, pbmtolj, ppmtolj, ppmtopj, thinkjettopbm, ppm

## AUTHOR

Angus Duggan

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- OPTIONS
- SEE ALSO
- AUTHOR